Earth Engine 已推出
非商業用途的配額級別,以便保護共用運算資源,並確保所有使用者都能享有穩固效能。非商業用途的專案預設會使用「社群」級別,但您隨時可以變更專案級別。
Google uses AI technology to translate content into your preferred language. AI translations can contain errors.
Method: projects.videoThumbnails.create
透過集合功能整理內容
你可以依據偏好儲存及分類內容。
建立可用於算繪圖片的 ID,其中包含來自集合的多張圖片動畫。
此選項會與 videoThumbnails.getPixels 搭配使用。呼叫 videoThumbnails.create 會提供運算式和一些輸出選項。videoThumbnails.create 的結果是代表圖片的 ID,該 ID 是評估該運算式並套用這些選項的結果。接著,您可以呼叫 videoThumbnails.getPixels 來取得圖片,顯示 ImageCollection 的所有元素,並以動畫呈現從第一個到最後一個元素。ID 的有效時間為數小時。
在 ImageCollection 中,所有圖片的總像素數量上限為 512 x 512 x 100。如果要求超出這些限制,就會傳回 400 (BAD_REQUEST) 錯誤代碼。
HTTP 要求
POST https://earthengine.googleapis.com/v1/{parent=projects/*}/videoThumbnails
這個網址使用 gRPC 轉碼語法。
路徑參數
| 參數 |
parent |
string
必要欄位。影片縮圖的父項位置 (例如「projects/*」)。
授權需要指定資源 parent 的下列 IAM 權限:
earthengine.videothumbnails.create
|
查詢參數
| 參數 |
workloadTag |
string
使用者提供的用於追蹤這項運算的代碼。
|
要求主體
要求主體包含 VideoThumbnail 的例項。
回應主體
如果成功,回應主體會包含新建立的 VideoThumbnail 例項。
授權範圍
需要下列其中一種 OAuth 範圍:
https://www.googleapis.com/auth/earthengine
https://www.googleapis.com/auth/earthengine.readonly
https://www.googleapis.com/auth/cloud-platform
https://www.googleapis.com/auth/cloud-platform.read-only
詳情請參閱 OAuth 2.0 Overview。
除非另有註明,否則本頁面中的內容是採用創用 CC 姓名標示 4.0 授權,程式碼範例則為阿帕契 2.0 授權。詳情請參閱《Google Developers 網站政策》。Java 是 Oracle 和/或其關聯企業的註冊商標。
上次更新時間:2025-07-25 (世界標準時間)。
[null,null,["上次更新時間:2025-07-25 (世界標準時間)。"],[],["The `videoThumbnails.create` function generates an ID for an animated image from an ImageCollection. This ID represents the evaluated expression and output options. `videoThumbnails.getPixels` can then retrieve the animated image, showcasing each element of the ImageCollection sequentially. The request is limited to 512\\*512\\*100 pixels. A POST request to `https://earthengine.googleapis.com/v1/{parent=projects/*}/videoThumbnails` with a `VideoThumbnail` instance in the request body is needed. A valid OAuth scope and the `earthengine.videothumbnails.create` IAM permission are required.\n"]]